import CommitIcon from "@mui/icons-material/Commit";
import LabelOutlinedIcon from "@mui/icons-material/LabelOutlined";
import QuestionMarkIcon from "@mui/icons-material/QuestionMark";

type FontType = "small" | "inherit" | "medium" | "large";

interface GitRefTypeIconProps {
  type: string;
  fontSize?: FontType;
}

export const GitRefTypeIcon = ({ type, fontSize }: GitRefTypeIconProps) => {
  if (type === "TAG") {
    return <LabelOutlinedIcon fontSize={fontSize ? fontSize : "small"} />;
  }

  if (type === "COMMIT") {
    return <CommitIcon fontSize={fontSize ? fontSize : "medium"} />;
  }

  return <QuestionMarkIcon fontSize={fontSize ? fontSize : "small"} />;
};
